import request from '@/utils/request'

// 查询组织保护措施状态变更申请列表
export function listSafetychange(query) {
  return request({
    url: '/apply/safetychange/list',
    method: 'get',
    params: query
  })
}
export function listChangeDescribe(query) {
  return request({
    url: '/apply/safetychange/listChangeDescribe',
    method: 'get',
    params: query
  })
}
export function listChangeReason(query) {
  return request({
    url: '/apply/safetychange/listChangeReason',
    method: 'get',
    params: query
  })
}
export function listSAFA(query) {
  return request({
    url: '/apply/safetychange/listSAFA',
    method: 'get',
    params: query
  })
}

// 查询组织保护措施状态变更申请详细
export function getSafetychange(id) {
  return request({
    url: '/apply/safetychange/' + id,
    method: 'get'
  })
}

// 新增组织保护措施状态变更申请
export function addSafetychange(data) {
  return request({
    url: '/apply/safetychange',
    method: 'post',
    data: data
  })
}

// 修改组织保护措施状态变更申请
export function updateSafetychange(data) {
  return request({
    url: '/apply/safetychange',
    method: 'put',
    data: data
  })
}

export function handle(data) {
  return request({
    url: '/apply/safetychange/handle',
    method: 'put',
    data: data
  })
}

// 删除组织保护措施状态变更申请
export function delSafetychange(id) {
  return request({
    url: '/apply/safetychange/' + id,
    method: 'delete'
  })
}

// 导出组织保护措施状态变更申请
export function exportSafetychange(query) {
  return request({
    url: '/apply/safetychange/export',
    method: 'put',
    data: query
  })
}

//获取word url
export function wordView(id) {
  return request({
    url: '/apply/safetychange/wordView/' + id,
    method: 'get',
  })
}
